Subject: Re: [nvo3] No need for NVE-NVE control plane [was Re: Poll for WG adoption and IPR check for draft-narten-nvo3-arch-01.txt

From: "Lizhong Jin" <[email-masked]>
Date: Mon, 18 Nov 2013 13:23:00 +0800

>From my understanding of NVO3, the NVA should be a centralized entity, and
fully decoupled from NVE physically or logically. The mapping tables in NVE
should be from NVA, not from NVE.
I agree with Thomas's statement below. When we are saying the control plane
between NVE and NVA, it refers only the mapping table maintenance and
populating. But it does not exclude other function interaction between NVE
and NVE. I suggest to explicitly say that in the architecture draft.

Regards
Lizhong

-----Original Message-----
From: Thomas Narten [mailto:[email-masked]] 
Sent: 2013年11月16日 6:19
To: Yves Hertoghs (yhertogh)
Cc: [email-masked]; Lucy yong
Subject: [nvo3] No need for NVE-NVE control plane [was Re: Poll for WG
adoption and IPR check for draft-narten-nvo3-arch-01.txt

NVO3 does not need an NVE to NVE control protocol.

Calling this out explicitly, as it is consistent with the current
architecture document. There is no need for an NVE to NVE control protocol,
for the purpose of maintaining/populating the mapping tables. There may well
be interactions between NVEs, such as setting up tunnels, creating security
associations for protecting data plane traffic, or providing error
indications (e.g., equivalent of ICMP "TS unreachable" responses).

If folk disagree, now would be a good time to have that conversation.

"Yves Hertoghs (yhertogh)" <[email-masked]> writes:
 
> >> I disagree with the need for an NVE to NVE control plane.
> 
> > [Lucy] do you think we need NVE-NVE control plane? I don鈥檛 think  
> > this is what you mean from the following statement.
> 
> No we dont need an NVE to NVE control plane.
> 
> >> That doesn't mean that you can't colocate a portion of the 
> >> distributed NVA with every NVE, which is the model that e.g. 
> >> BGP/L3VPN or ISIS/TRILL uses.
> 
> > [Lucy] Agreed. NVA can collocate w/ NVE. (partially or entire).
> 
> And as a result there is only a need for a control plane between the 
> NVE function and the NVA function.

Thomas